-module(fmtTest).

-compile([export_all, nowarn_export_all]).

tt1(FmtBinStr) ->
	binary:split(FmtBinStr, <<"~">>).

tt2(FmtBinStr) ->
	binary:split(FmtBinStr, persistent_term:get(eFmtPtMc)).

tt5(F) ->
	string:split(F, "~").

tt3(<<>>) ->
	ok;
tt3(<<_F/utf8, L/binary>>) ->
	tt3(L).

tt4([]) ->
	ok;
tt4([_F | L]) ->
	tt4(L).